<template>
  <div class="container">
    <div class="row nav">
      <div class="col-12 col-md-4">
        <router-link class="boton" :to="{ name: 'InsertarPaises' }">
          Crear
        </router-link>
      </div>
    </div>
    <div class="row lista" v-if="paises.length">
      <div
          class="elemento col-12 col-sm-6 col-md-4 col-xl-3"
          v-for="pais in paises"
          :key="pais.id"
      >
        <router-link
            class="content d-flex justify-content-center align-content-center align-items-center"
            :to="{ name:'MostrarPaises', params: { id: pais.id }}"
        >
          <h2>{{ pais.nombre }}</h2>
        </router-link>
      </div>
    </div>
    <div v-else>
      <h1>No hay paises para mostrar</h1>
    </div>
  </div>
</template>

<script>
import axios from "axios";
export default {
  name: "InicioPaises",
  data() {
    return {
      paises: [],
    }
  },
  mounted() {
    this.getData();
  },
  methods: {
    getData: function() {
      axios.get("http://laboratorio10.test/api/countries")
          .then((response) => response.data)
          .then((data) => {
            console.log(data);
            this.paises = data;
          })
    }
  }
}
</script>

<style scoped>

</style>